For AI agents: the complete documentation index is available at https://docs.snaptrade.com/llms.txt, and the full documentation text is available at https://docs.snaptrade.com/llms-full.txt. Markdown versions of documentation pages are available by appending .md to the URL path.
View as Markdown
Trading

Get equity symbol quotes

get
https://api.snaptrade.com/accounts/{accountId}/quotes

Returns a maximum of 10 quotes from the brokerage for the specified symbols and account.

The quotes returned can be delayed depending on the brokerage the account belongs to. It is highly recommended that you use your own market data provider for real-time quotes instead of relying on this endpoint.

This endpoint is not a substitute for a market data provider. Frequent polling of this endpoint may result in the disabling of your keys

This endpoint does not work for options quotes.

Execute an API Request

Authentication Method

Use commercial authentication when acting on behalf of your application and passing end-user credentials with requests that require them.

Credentials
Path
accountIdstring (format: uuid)required

Unique identifier for the connected brokerage account. This is the UUID used to reference the account in SnapTrade.

Query
symbolsstringrequired

List of Universal Symbol IDs or tickers to get quotes for. When providing multiple values, use a comma as separator. Maximum of 10 values allowed

use_tickerboolean

Should be set to True if symbols are comprised of tickers. Defaults to False if not provided.

Request
Installation
$
npm install snaptrade-typescript-sdk
1
import {
2
Snaptrade,
3
SnaptradeAuth,
4
} from "snaptrade-typescript-sdk";
5
6
const snaptrade = new Snaptrade({
7
auth: SnaptradeAuth.commercialApiKey({
8
consumerKey: "CONSUMER_KEY",
9
clientId: "CLIENT_ID",
10
}),
11
});
12
13
const response =
14
await snaptrade.trading.getUserAccountQuotes({
15
accountId:
16
"917c8734-8470-4a3e-a18f-57c3f2ee6631",
17
symbols: "SYMBOLS",
18
userId: "USER_ID",
19
userSecret: "USER_SECRET",
20
});
21
console.log(response.data);

Response fields

array of objects

List of symbols with the latest quotes from the brokerage.

object
1
[
2
{
3
"symbol": {
4
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
5
"symbol": "VAB.TO",
6
"raw_symbol": "VAB",
7
"description": "VANGUARD CDN AGGREGATE BOND INDEX ETF",
8
"currency": {
9
"id": "87b24961-b51e-4db8-9226-f198f6518a89",
10
"code": "USD",
11
"name": "US Dollar"
12
},
13
"exchange": {
14
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
15
"code": "TSX",
16
"mic_code": "XTSE",
17
"name": "Toronto Stock Exchange",
18
"timezone": "America/New_York",
19
"start_time": "09:30:00",
20
"close_time": "16:00:00",
21
"suffix": ".TO"
22
},
23
"type": {
24
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
25
"code": "cs",
26
"description": "Common Stock",
27
"is_supported": true
28
},
29
"figi_code": "BBG000B9XRY4",
30
"figi_instrument": {
31
"figi_code": "BBG000B9Y5X2",
32
"figi_share_class": "BBG001S5N8V8"
33
},
34
"currencies": [
35
{
36
"id": "87b24961-b51e-4db8-9226-f198f6518a89",
37
"code": "USD",
38
"name": "US Dollar"
39
}
40
]
41
},
42
"last_trade_price": 8.74,
43
"bid_price": 8.43,
44
"ask_price": 8.43,
45
"bid_size": 260,
46
"ask_size": 344
47
}
48
]